Bug 14579 - 'You are not logged in' should link to log in page
Summary: 'You are not logged in' should link to log in page
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Staff Client (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Assignee: Aleisha Amohia
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-07-21 03:48 UTC by Aleisha Amohia
Modified: 2016-06-21 21:38 UTC (History)
6 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 14579: 'You are not logged in' should link to log in page (1.56 KB, patch)
2015-07-21 03:51 UTC, Aleisha Amohia
Details | Diff | Splinter Review
Bug 14579: 'You are not logged in' should link to log in page (3.06 KB, patch)
2015-08-19 11:11 UTC, j.kylmala
Details | Diff | Splinter Review
Bug 14579: 'You are not logged in' should link to log in page (3.12 KB, patch)
2015-08-27 03:59 UTC, Aleisha Amohia
Details | Diff | Splinter Review
Bug 14579: 'You are not logged in' should link to log in page (3.19 KB, patch)
2015-08-27 07:24 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Aleisha Amohia 2015-07-21 03:48:48 UTC
When you are not logged in and go to any page (for example an error page, cgi-bin/koha/errors/400.pl), it says 'You are not logged in |' in the top right in the style of a link, but does not redirect anywhere when you click it.
Comment 1 Aleisha Amohia 2015-07-21 03:51:53 UTC Comment hidden (obsolete)
Comment 2 cnorthcott.work 2015-08-14 03:49:33 UTC
Patch applies, link now works but alignment of Log In text and Help text are mismatched.
Comment 3 Jonathan Druart 2015-08-18 14:35:27 UTC
(In reply to cnorthcott.work from comment #2)
> Patch applies, link now works but alignment of Log In text and Help text are
> mismatched.

Aleisha, could you try to fix the alignment?
Comment 4 j.kylmala 2015-08-19 11:11:10 UTC Comment hidden (obsolete)
Comment 5 Aleisha Amohia 2015-08-27 03:59:06 UTC Comment hidden (obsolete)
Comment 6 Jonathan Druart 2015-08-27 07:24:12 UTC
Created attachment 42008 [details] [review]
Bug 14579: 'You are not logged in' should link to log in page

To test:
1) Go to any page on the staff client and make sure you are not logged in (ie an error page, cgi-bin/koha/errors/400.pl)
2) Try click on 'You are not logged in |'
3) Notice it is not really a link and doesn't take you anywhere
4) Apply patch
5) Refresh page
6) Click on what now says 'Log in |'
7) Confirm that you are redirected to the intranet log in page

Signed-off-by: Aleisha <aleishaamohia@hotmail.com>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 7 Tomás Cohen Arazi 2015-08-27 16:28:12 UTC
Patch pushed to master.

Thanks Joonas, and congratulations for your first commit in Koha!
Comment 8 Liz Rea 2015-09-01 22:59:49 UTC
This patch moved the help menu from the top right, next to the login menu to inside the dropdown. I don't think we want to hide it like that.

Liz
Comment 9 Jonathan Druart 2015-09-02 07:56:54 UTC
Liz, it's the same place as when you are logged in. What do you suggest?
Comment 10 Liz Rea 2015-09-02 21:16:17 UTC
I'll make a different bug :)
Comment 11 Chris Cormack 2015-09-22 01:13:07 UTC
Pushed to 3.20.x will be in 3.20.4